#include <bits/stdc++.h>

using namespace std;
#define int long long
signed main()
{
int n,k,x;
cin>>n>>k>>x;
/*
multiset<int>a;
a.extract(67);
*/
vector<int>a(n);
for(int i = 0;i<n;i++){
cin>>a[i];
}
vector<int>pref(n);
pref[0]=a[0];
for(int i = 1;i<n;i++)
pref[i]=pref[i-1]+a[i];
int poc=0;
for(int i = 0;i<n-k+1;i++){
vector<int>v(1);
for(int j = i+1;j<i+k;j++){
if(j>0){
v.push_back(pref[i+k-1]-pref[j-1]);
}
else
v.push_back(pref[i+k-1]);
}
int res=0;
if(i>0){
res+=(pref[i+k-1]-pref[i-1]);
}
else
res+=(pref[i+k-1]);

sort(v.rbegin(),v.rend());

for(int k= 0;k<x-1;k++)
res+=v[k];
cout<<res<<" ";










}






    return 0;
}